module Dingtalk
  module Api
    module Message
      def send_text(to_users = [], agentid = nil, message)
        send_message(to_users, agentid, :msgtype => "text", :text => { :content => message})
      end

      def send_link(to_users = [], agentid = nil, opts = {})
        # opts :messageUrl=>"",:picUrl=>"",:title=>"",:text=>""
        send_message(to_users, agentid, :msgtype => "link", :link => opts)
      end

      def send_oa(to_users = [], agentid = nil)

      end

      private
      def send_message(to_users = [], agentid = nil, opts = {})
        url = "#{message_base_url}/send"
        body = {:touser=>to_users.join('|'), :agentid=>agentid}.merge(opts)
        http_post(url, body)
      end

      def message_base_url
        "/message"
      end
    end
  end
end