module Dingtalk
  module Api
    module Department
      # https://oapi.dingtalk.com/department/list?access_token=ACCESS_TOKEN
      def list_department
        list_url = "#{department_base_url}/list"
        http_get(list_url)
      end

      def get_department(id)
        get_url = "#{department_base_url}/get"
        http_get(get_url, {id: id})
      end

      private
      def department_base_url
        "/department"
      end
    end
  end
end